/*
 *  protocolBellPlugin.h
 *  Wake Up
 *
 *  Created by Matthieu Riolo on 03.07.10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */


@protocol protocolBell

+ (NSString*)bellName;

+ (BOOL)hasConfigurationSheet;
//wake up initialize the plugin but does not dealloc it! It's your turn!
- (NSWindow*)configurationSheet;

- (id)initWithWindowIdentifier:(NSString*)windowIndentifier;

- (void)startRingingForDuration:(NSTimeInterval)time;

//Wake Up does not dealloc the instance!
//It is absolutly necessary that you deallocs all sounds in that function and the object himself!!
- (void)stopRinging:(id)sender;
@end

